---
layout: handbook-page-toc
title: "Secure & Enablement Quality Engineering team"
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

Engineers in this team are embedded in the [Secure Sub-department] and [Enablement Sub-department].

## Team members

<%= direct_team(manager_role: 'Quality Engineering Manager, Secure & Enablement') %>

## Areas of Responsibility

All stages under the [Secure Sub-department] and [Enablement Sub-department].
* **[Secure stage]**: Security capabilities, integrated into the development lifecycle.
  * [Static Analysis group] : SAST, Secret Detection
  * [Dynamic Analysis group] : DAST, IAST, Fuzzing
  * [Composition Analysis group] : Container Scanning, Dependency Scanning, License Compliance, Vulnerability Database
* **[Enablement stage]**: An emphasis on the stability and performance of on-premise GitLab installations.
  * [Distribution group] : Omnibus, Cloud Native Installation
  * [Ecosystem group] : SDKs & Integration APIs, Native Integrations, Marketplace
  * [Geo group] : Geo-replication, Disaster Recovery
  * [Memory group]
  * [Search group]

## Projects

* [GitLab Performance Tool]
* [Performance Environment Builder]
* [Performance Test Data]
* [Performance Docker Images]

## Self-Managed Environment Triage

There is a bi-weekly self-managed environment triage meeting involving various
team members from the Enablement section, Support, Customer Success, and
Technical Writing, which focuses on the following:
* Triaging customers and prospects that are setting up new environments or migrating existing environments in line with our reference architectures.
* Additions to or refinements of the reference architecture specs and documentation.

For more information, please see the [Self-Managed Environment Triage board] and
the [Self-Managed Environment Triage agenda] (internal only). To be added to the
meetings, please reach out to the Quality Engineering Manager, Enablement.

[Secure Sub-department]: /handbook/product/categories/#secure-section
[Secure stage]: /handbook/product/categories/#secure-stage
[Static Analysis group]: /handbook/product/categories/#static-analysis-group
[Dynamic Analysis group]: /handbook/product/categories/#dynamic-analysis-group
[Composition Analysis group]: /handbook/product/categories/#composition-analysis-group
[Enablement Sub-department]: /handbook/product/categories/#enablement-section
[Enablement stage]: /handbook/product/categories/#enablement-stage
[Distribution group]: /handbook/product/categories/#distribution-group
[Ecosystem group]: /handbook/product/categories/#ecosystem-group
[Geo group]: /handbook/product/categories/#geo-group
[Memory group]: /handbook/product/categories/#memory-group
[Search group]: /handbook/product/categories/#search-group
[GitLab Performance Tool]: https://gitlab.com/gitlab-org/quality/performance
[Performance Environment Builder]: https://gitlab.com/gitlab-org/quality/performance-environment-builder
[Performance Test Data]: https://gitlab.com/gitlab-org/quality/performance-data
[Performance Docker Images]: https://gitlab.com/gitlab-org/quality/performance-images
[Self-Managed Environment Triage board]: https://gitlab.com/groups/gitlab-org/-/boards/1131633
[Self-Managed Environment Triage agenda]: https://docs.google.com/document/d/1FpXtHlIEKNuTCooUn5MxlMvkNvml5UWeBNRHCcDfMrA/edit
